Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Interface AbstractEndpoint.Handler

All Known Subinterfaces:
  AprEndpoint.Handler, JIoEndpoint.Handler, NioEndpoint.Handler

All Known Implementing Classes:
  AbstractAjpProtocol.AbstractAjpConnectionHandler, AbstractProtocol.AbstractConnectionHandler, AjpAprProtocol.AjpConnectionHandler, AjpNioProtocol.AjpConnectionHandler, AjpProtocol.AjpConnectionHandler, Http11AprProtocol.Http11ConnectionHandler, Http11NioProtocol.Http11ConnectionHandler, Http11Protocol.Http11ConnectionHandler

Enclosing class:
  AbstractEndpoint

    public static interface AbstractEndpoint.Handler

Nested Class Summary
`static class` | `AbstractEndpoint.Handler.SocketState` Different types of socket states to react upon.

Method Summary
`Object` | `getGlobal()` Obtain the GlobalRequestProcessor associated with the handler.
`void` | `recycle()` Recycle resources associated with the handler.

Method Detail

### getGlobal

    Object getGlobal()

  Obtain the GlobalRequestProcessor associated with the handler.

### recycle

    void recycle()

  Recycle resources associated with the handler.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.